<ui version="4.0" >
 <class>UserAgentUI</class>
 <widget class="QWidget" name="UserAgentUI" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>613</width>
    <height>512</height>
   </rect>
  </property>
  <property name="whatsThis" >
   <string>&lt;qt>
Here you can modify the default browser-identification text or set a site &lt;code>(eg. www.kde.org)&lt;/code> or a domain &lt;code>(eg. kde.org)&lt;/code> specific identification text.&lt;p>
To add a new site-specific identification text, click the &lt;code>New&lt;/code> button and supply the necessary information. To change an existing site-specific entry, click on the &lt;code>Change&lt;/code> button. The &lt;code>Delete&lt;/code> button will remove the selected site-specific identification text, causing the default setting to be used for that site or domain.
&lt;/qt></string>
  </property>
  <layout class="QVBoxLayout" >
   <item>
    <widget class="QCheckBox" name="sendUACheckBox" >
     <property name="whatsThis" >
      <string>&lt;qt>
Send the browser identification to web sites.&lt;p>
&lt;u>NOTE:&lt;/u> Many sites rely on this information to display pages properly, hence, it is highly recommended that you do not totally disable this feature but rather customize it.&lt;p>
By default, only minimal identification information is sent to remote sites. The identification text that will be sent is shown below.
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>&amp;Send identification</string>
     </property>
     <property name="checked" >
      <bool>true</bool>
     </property>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="defaultIdGroupBox" >
     <property name="enabled" >
      <bool>true</bool>
     </property>
     <property name="whatsThis" >
      <string>The browser identification text sent to the sites you visit. Use the provided options to customize it.</string>
     </property>
     <property name="title" >
      <string>Default Identification</string>
     </property>
     <layout class="QVBoxLayout" >
      <item>
       <widget class="KSqueezedTextLabel" name="defaultIdLineEdit" >
        <property name="font" >
         <font>
          <weight>75</weight>
          <bold>true</bold>
         </font>
        </property>
        <property name="whatsThis" >
         <string>The browser identification text sent to the sites you visit. You can customize it using the options provided below.</string>
        </property>
        <property name="text" >
         <string comment="KDE::DoNotExtract" >KSqueezedTextLabel</string>
        </property>
        <property name="textInteractionFlags" >
         <set>Qt::LinksAccessibleByKeyboard|Qt::LinksAccessibleByMouse|Qt::TextBrowserInteraction|Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QCheckBox" name="osNameCheckBox" >
        <property name="whatsThis" >
         <string>Includes your operating system's name in the browser identification text.</string>
        </property>
        <property name="text" >
         <string>Add operating s&amp;ystem name</string>
        </property>
       </widget>
      </item>
      <item>
       <layout class="QHBoxLayout" >
        <item>
         <spacer>
          <property name="orientation" >
           <enum>Qt::Horizontal</enum>
          </property>
          <property name="sizeType" >
           <enum>QSizePolicy::Fixed</enum>
          </property>
          <property name="sizeHint" stdset="0" >
           <size>
            <width>14</width>
            <height>10</height>
           </size>
          </property>
         </spacer>
        </item>
        <item>
         <widget class="QCheckBox" name="osVersionCheckBox" >
          <property name="enabled" >
           <bool>false</bool>
          </property>
          <property name="whatsThis" >
           <string>Includes your operating system's version number in the browser identification text.</string>
          </property>
          <property name="text" >
           <string>Add operating system &amp;version</string>
          </property>
         </widget>
        </item>
       </layout>
      </item>
      <item>
       <widget class="QCheckBox" name="platformCheckBox" >
        <property name="whatsThis" >
         <string>Includes your platform type in the browser identification text</string>
        </property>
        <property name="text" >
         <string>Add &amp;platform name</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QCheckBox" name="processorTypeCheckBox" >
        <property name="whatsThis" >
         <string>Includes your machine's CPU type in the browser identification text.</string>
        </property>
        <property name="text" >
         <string>Add &amp;machine (processor) type</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QCheckBox" name="languageCheckBox" >
        <property name="whatsThis" >
         <string>Includes your language settings in the browser identification text to obtain localized versions of the page.</string>
        </property>
        <property name="text" >
         <string>Add lang&amp;uage information</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="domainPolicyGroupBox" >
     <property name="enabled" >
      <bool>true</bool>
     </property>
     <property name="title" >
      <string>Site Specific Identification</string>
     </property>
     <layout class="QHBoxLayout" >
      <item>
       <widget class="QTreeWidget" name="sitePolicyTreeWidget" >
        <property name="rootIsDecorated" >
         <bool>false</bool>
        </property>
        <property name="sortingEnabled" >
         <bool>true</bool>
        </property>
        <column>
         <property name="text" >
          <string>Site Name</string>
         </property>
        </column>
        <column>
         <property name="text" >
          <string>Identification</string>
         </property>
        </column>
        <column>
         <property name="text" >
          <string>User Agent</string>
         </property>
        </column>
       </widget>
      </item>
      <item>
       <layout class="QVBoxLayout" >
        <property name="margin" >
         <number>0</number>
        </property>
        <item>
         <widget class="KPushButton" name="newButton" >
          <property name="whatsThis" >
           <string>Add new identification text for a site.</string>
          </property>
          <property name="text" >
           <string>&amp;New...</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="KPushButton" name="changeButton" >
          <property name="whatsThis" >
           <string>Change the selected identifier text.</string>
          </property>
          <property name="text" >
           <string>Chan&amp;ge...</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="KPushButton" name="deleteButton" >
          <property name="whatsThis" >
           <string>Delete the selected identifier text.</string>
          </property>
          <property name="text" >
           <string>D&amp;elete</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="KPushButton" name="deleteAllButton" >
          <property name="whatsThis" >
           <string>Delete all identifiers.</string>
          </property>
          <property name="text" >
           <string>Delete A&amp;ll</string>
          </property>
         </widget>
        </item>
        <item>
         <spacer>
          <property name="orientation" >
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeType" >
           <enum>QSizePolicy::Expanding</enum>
          </property>
          <property name="sizeHint" stdset="0" >
           <size>
            <width>21</width>
            <height>16</height>
           </size>
          </property>
         </spacer>
        </item>
       </layout>
      </item>
     </layout>
    </widget>
   </item>
  </layout>
 </widget>
 <layoutdefault spacing="6" margin="11" />
 <layoutfunction spacing="KDialog::spacingHint" margin="KDialog::marginHint" />
 <customwidgets>
  <customwidget>
   <class>KPushButton</class>
   <extends>QPushButton</extends>
   <header>kpushbutton.h</header>
  </customwidget>
  <customwidget>
   <class>KSqueezedTextLabel</class>
   <extends>QLabel</extends>
   <header>ksqueezedtextlabel.h</header>
  </customwidget>
 </customwidgets>
 <includes>
  <include location="local" >klineedit.h</include>
 </includes>
 <resources/>
 <connections>
  <connection>
   <sender>osNameCheckBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>osVersionCheckBox</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>sendUACheckBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>defaultIdGroupBox</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>sendUACheckBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>domainPolicyGroupBox</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>20</x>
     <y>20</y>
    </hint>
    <hint type="destinationlabel" >
     <x>20</x>
     <y>20</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
